<template>
  <master-layout>
    <transition
      enter-active-class="lg:fx-fade-in-top lg:animation-slower lg:animation-ease-out lg:animation-fill-forwards"
      leave-active-class="lg:fx-fade-out-bottom lg:animation-medium lg:animation-ease-in lg:animation-fill-forwards"
      mode="out-in"
    >
      <router-view />
    </transition>
  </master-layout>
</template>

<script>
import resolveConfig from 'tailwindcss/resolveConfig';
import tailwindConfig from '../tailwind.config';
import helpers from './utils/helpers';

import settings from '~/data/settings.yml';
import logos from '~/data/logos.yml';
import navigation from '~/data/navigation.yml';
import routes from '~/data/routes.yml';

import MasterLayout from '~/layouts/Master';

export default {
  name: 'App',
  components: {
    MasterLayout,
  },
  provide() {
    return {
      theme: resolveConfig(tailwindConfig).theme,
      site: { settings, logos, navigation, routes },
      h: helpers,
    };
  },
  metaInfo() {
    const { siteName, siteDescription } = settings;

    return {
      title: siteName,
      meta: [
        {
          key: 'description',
          name: 'description',
          content: siteDescription,
        },
      ],
    };
  },
};
</script>
